# InitializerError

    public enum InitializerError : Error

Wrapper for the Rust backend. This class basically represents all the Rust-wallet capabilities and the supporting data required to exercise those abilities.

- `cacheDbInitFailed`

  Undocumented

  #### Declaration

  Swift

      case cacheDbInitFailed

- `dataDbInitFailed`

  Undocumented

  #### Declaration

  Swift

      case dataDbInitFailed

- `accountInitFailed`

  Undocumented

  #### Declaration

  Swift

      case accountInitFailed

- `falseStart`

  Undocumented

  #### Declaration

  Swift

      case falseStart

- `invalidViewingKey(key:)`

  Undocumented

  #### Declaration

  Swift

      case invalidViewingKey(key: String)

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.